Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1950614

Summary: Defaults to redhat configuration instead of fedora
Product: [Fedora] Fedora Reporter: jatin <jatin1812>
Component: la-capitaine-icon-themeAssignee: Artem <ego.cordatus>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: ego.cordatus
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: la-capitaine-icon-theme-0.6.1-11.20210331git1add5ba.fc35 la-capitaine-icon-theme-0.6.1-11.20210331git1add5ba.fc34 la-capitaine-icon-theme-0.6.1-11.20210331git1add5ba.fc33 la-capitaine-icon-theme-0.6.1-11.20210331git1add5ba.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-24 20:15:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
default configuration
none
Correct configuration none

Description jatin 2021-04-17 05:10:14 UTC
Created attachment 1772710 [details]
default configuration

La capitain icon set has distro integration, where it default to RedHat for .rpm files and others. 


distro integration is done by configure file in https://github.com/keeferrourke/la-capitaine-icon-theme  

I have provided both, screenshot of default redhat icons and of the correct configuration that I fixed by running ./configure inside /usr/share/icons/La-Capitaine



Should add the file to install scripts.

Comment 1 jatin 2021-04-17 05:11:01 UTC
Created attachment 1772711 [details]
Correct configuration

Comment 2 jatin 2021-04-17 05:12:25 UTC
We can simply package source with correct configuration it does changed to the source files anyway

Comment 3 jatin 2021-04-17 05:14:23 UTC
As it only does changes to the source files, We can simply execute ./configure and then package it no need to add the configure script.

Just execute the configuration file and use that tar.gz as a source file. It will solve the issue.

Comment 4 Fedora Update System 2021-04-17 21:56:01 UTC
FEDORA-2021-0e6e17a5a9 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-04-17 22:01:03 UTC
FEDORA-2021-b3db16a1e3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b3db16a1e3

Comment 6 Fedora Update System 2021-04-17 22:06:26 UTC
FEDORA-2021-5f99a3ae93 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f99a3ae93

Comment 7 Fedora Update System 2021-04-17 22:10:48 UTC
FEDORA-2021-9157060db6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9157060db6

Comment 8 Artem 2021-04-17 22:11:26 UTC
Hello. Please check 'la-capitaine-icon-theme-0.6.1-11' update.

Comment 9 jatin 2021-04-17 23:34:35 UTC
Checked the update its still the same.

Comment 10 Artem 2021-04-18 15:20:47 UTC
Some things in configure script may not work when package building in mock. Here is from build log:

  Updated theme to use icons for light GTK+ themes.
  Updated theme to use light icons for the panel.
  Could not determine distribution logo.
  Could not determine distributor logo, you may need to set this manually in places/scalable/
  Updated distributor logo.
  Updated package archive icons.
  Updated desktop mimetype icons.

But this is incorrect logo anyway for RPM package. It shouldn't be Red Hat logo neither Fedora. It should be something like that https://upload.wikimedia.org/wikipedia/commons/thumb/0/00/RPM_Logo.svg/1200px-RPM_Logo.svg.png

Comment 11 Fedora Update System 2021-04-18 17:05:11 UTC
FEDORA-2021-b3db16a1e3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b3db16a1e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b3db16a1e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 jatin 2021-04-19 04:38:57 UTC
Its just how they handle MIME type. It may have issues with building it in mock (as we can easily run configure script inside the folder) I can request the dev  on github to make fedora configuration the default, or maybe having a different clone or branch which we can use as source.

Comment 13 jatin 2021-04-19 04:48:32 UTC
https://github.com/keeferrourke/la-capitaine-icon-theme/issues/603

Discussing it here with the upstream.

Comment 14 Fedora Update System 2021-04-19 18:07:37 UTC
FEDORA-2021-9157060db6 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9157060db6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9157060db6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-04-19 18:32:43 UTC
FEDORA-2021-5f99a3ae93 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5f99a3ae93`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f99a3ae93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-04-24 20:15:36 UTC
FEDORA-2021-b3db16a1e3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-04-26 21:35:37 UTC
FEDORA-2021-2ac2fafe25 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2ac2fafe25

Comment 18 Fedora Update System 2021-04-26 21:36:01 UTC
FEDORA-2021-87b4235c01 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-87b4235c01

Comment 19 Fedora Update System 2021-04-27 00:58:49 UTC
FEDORA-2021-5f99a3ae93 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2021-04-27 01:12:51 UTC
FEDORA-2021-9157060db6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2021-04-27 01:27:01 UTC
FEDORA-2021-2ac2fafe25 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2ac2fafe25`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2ac2fafe25

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-04-27 01:50:55 UTC
FEDORA-2021-87b4235c01 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-87b4235c01`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-87b4235c01

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2021-05-05 00:53:43 UTC
FEDORA-2021-2ac2fafe25 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-05-05 01:04:33 UTC
FEDORA-2021-87b4235c01 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.